const path = require('path');

module.exports = (config, options) => {
  const PRODUCTION = process.env.NODE_ENV === 'production';

  config.target = 'web';
  config.node = {
    global: true,
    fs: 'empty'
  };

  config.resolve.alias = {
    ...config.resolve.alias,
    '@ucap/lg-scss': path.resolve(__dirname, '..', 'src/assets/scss')
  };

  return config;
};
